Skip to content

Get Positions

GET
/api/v1/wallets/{address}/positions
curl --request GET \
--url https://api.qeychain.xyz/api/v1/wallets/example/positions

Get current positions with cost basis for a wallet.

Response Format:

{
  "success": true,
  "data": [
    {"symbol": "ETH", "quantity": "1.5", "cost_basis": "4500.00", ...}
  ],
  "meta": {...}
}
address
required
Address
string
owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user

Successful Response

Media typeapplication/json
Response Get Positions Api V1 Wallets Address Positions Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}